.preloader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: 1s;
    z-index: 1000000000000;
}

.preloader::before {
    content: '';
    position: absolute;
    left: 0;
    width: 50%;
    height: 100%;
    background: #fff !important;
    transition: 1s;
}

.preloader::after {
    content: '';
    position: absolute;
    right: 0;
    width: 50%;
    height: 100%;
    background: #fff !important;
    transition: 1s;
}

.preloader.complete::before {
    left: -50%;
}

.preloader.complete:after {
    right: -50%;
}

.loader {
    width: 100%;
    height: auto;
    overflow: hidden;
    position: absolute;
    z-index: 10000;
}

.loader img {
    width: 150px;
}

.preloader.complete {
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    padding-top: 10em;
}